Bug 1276965 - Firefox showing black screen during HTML5 video playback, but playing the audio
Firefox showing black screen during HTML5 video playback, but playing the audio
Status: CLOSED NOTABUG
Product: Fedora
Classification: Fedora
Component: firefox (Show other bugs)
22
x86_64 Linux
unspecified Severity medium
: ---
: ---
Assigned To: Gecko Maintainer
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2015-11-01 17:11 EST by Mebus
Modified: 2016-02-02 14:47 EST (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2016-02-02 14:47:05 EST
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Mebus 2015-11-01 17:11:16 EST
Description of problem:

When one starts a video on Youtube or Vimeo one only sees a black box, and hears the audio, but no video can be seen.

I ran Firefox in "-safe-mode" and got this output:

unnamed app(13289) KMimeTypePrivate::ensureXmlDataLoaded: Missing <comment> field in "image/x-panasonic-rw2.xml" 
unnamed app(13289) KMimeTypePrivate::ensureXmlDataLoaded: Missing <comment> field in "text/x-component.xml" 
unnamed app(13289) KMimeTypePrivate::ensureXmlDataLoaded: Missing <comment> field in "text/x-html-insertion.xml" 
unnamed app(13289) KMimeTypePrivate::ensureXmlDataLoaded: Got name "text/x-iMelody" in file "text/x-imelody.xml" expected "text/x-imelody" 
DtsGetHWFeatures: Create File Failed
DtsGetHWFeatures: Create File Failed
Running DIL (3.22.0) Version
DtsDeviceOpen: Opening HW in mode 0
DtsDeviceOpen: Create File Failed
DtsGetHWFeatures: Create File Failed
Running DIL (3.22.0) Version
DtsDeviceOpen: Opening HW in mode 0
DtsDeviceOpen: Create File Failed
WARNING: content window passed to PrivateBrowsingUtils.isWindowPrivate. Use isContentWindowPrivate instead (but only for frame scripts).
pbu_isWindowPrivate@resource://gre/modules/PrivateBrowsingUtils.jsm:25:14
nsBrowserAccess.prototype.openURI@chrome://browser/content/browser.js:15876:21
DtsGetHWFeatures: Create File Failed
Running DIL (3.22.0) Version
DtsDeviceOpen: Opening HW in mode 0
DtsDeviceOpen: Create File Failed

I am using these firefox packages:

firefox-41.0.2-2.fc22.x86_64

I am currently running this kernel:

Linux picus 4.1.10-200.fc22.x86_64

My Desktop Environment ist MATE.

Mebus
Comment 1 Jan Horak 2015-11-09 07:46:17 EST
Please also try fresh profile (firefox -P). It it still occurs then try to install packages from this scratch build http://koji.fedoraproject.org/koji/taskinfo?taskID=11724972 (it is build without using system gstreamer).
Comment 2 Mebus 2016-02-02 14:47:05 EST
It's working now. Don't know why.

Note You need to log in before you can comment on or make changes to this bug.